io.undertow.server.handlers.proxy

## Class HostTable<H>

- java.lang.Object
- - io.undertow.server.handlers.proxy.HostTable<H>

    public class HostTable<H>
    extends Object

Class that maintains a table of remote hosts that this proxy knows about. Basically this maps a virtual host + context path pair to a set of hosts. Note that this class does not have any knowledge of connection pooling

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`HostTable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`HostTable` `addHost(H host)`
`HostTable` `addRoute(H host, String virtualHost, String contextPath)`
`Set<H>` `getHostsForTarget(String hostName, String path)`
`HostTable` `removeHost(H host)`
`HostTable` `removeRoute(H host, String virtualHost, String contextPath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HostTable

    public HostTable()

### Method Detail

#### addHost

    public HostTable addHost(H host)

#### removeHost

    public HostTable removeHost(H host)

#### addRoute

    public HostTable addRoute(H host,
                              String virtualHost,
                              String contextPath)

#### removeRoute

    public HostTable removeRoute(H host,
                                 String virtualHost,
                                 String contextPath)

#### getHostsForTarget

    public Set<H> getHostsForTarget(String hostName,
                                    String path)